rte_node_mbuf_dynfield(3)

NAME
rte_node_mbuf_dynfield

SYNOPSIS

#include <rte_node_mbuf_dynfield.h>

  Data Fields

rte_node_mbuf_overload_fields_t overloadable_data

Detailed Description

rte_node specific mbuf dynamic field structure [rte_node_mbuf_dynfield_t]

It holds two types of fields:

1.  Persistent fields: Fields which are preserved across nodes during graph walk.

•   Eg: rx/tx interface etc

2.  Overloadable fields: Fields which can be repurposed by two adjacent nodes.

Definition at line 71 of file rte_node_mbuf_dynfield.h.

Field Documentation

  rte_node_mbuf_overload_fields_t overloadable_data
Overloadable mbuf fields across graph walk. Fields which can change.

Two adjacent nodes (producer, consumer) can use this memory region for sharing per-mbuf specific information. Once mbuf leaves a consumer node, this region can be repurposed by another sets of [producer, consumer] node.

In fast path, this region can be accessed by rte_node_mbuf_overload_fields_get().

Definition at line 92 of file rte_node_mbuf_dynfield.h.

Author

Generated automatically by Doxygen for DPDK from the source code.